<?php

require_once '../Connections/cmctrfdb.php'; // Assicurati che il percorso sia corretto



if ($_SERVER['REQUEST_METHOD'] === 'POST') {

    // Prendi le variabili da POST o definiscile qui se non sono dinamiche

    $idcompany = $_POST['idcompany'] ?? ''; // Assumi che queste vengano passate o impostale qui

    $idart = $_POST['idart'] ?? '';

    $idtrftd = $_POST['idtrftd'] ?? '';

    $useridn = $_POST['iduserlogin'] ?? '';



    $conn = new mysqli($servername, $username, $password, $dbname);

    if ($conn->connect_error) {

        die("Connessione fallita: " . $conn->connect_error);

    }



    $stmt = $conn->prepare("INSERT INTO identificationparts (companyidn, arttypeid, kindoftest, idtrfdetails, useridn) VALUES (?, ?, 'cmc', ?, ?)");

    $stmt->bind_param("iiii", $idcompany, $idart, $idtrftd, $useridn);

    $result = $stmt->execute();



    if ($result) {

        echo json_encode(['success' => true, 'message' => 'Parte aggiunta con successo']);

    } else {

        echo json_encode(['success' => false, 'message' => 'Errore nell\'aggiunta della parte']);

    }



    $stmt->close();

    $conn->close();

}

